## ThunarChooserModel ThunarChooserModel |

## Functions

ThunarChooserModel * | thunar_chooser_model_new ()
const gchar * | thunar_chooser_model_get_content_type ()
gboolean | thunar_chooser_model_remove ()

## Properties

char * | content-type | Read / Write / Construct Only

## Types and Values

enum | ThunarChooserModelColumn

## Object Hierarchy

        GObject
        ╰── GtkTreeStore
            ╰── ThunarChooserModel

## Description

## Functions

### thunar_chooser_model_new ()

    ThunarChooserModel *
    thunar_chooser_model_new (const gchar *content_type);

Allocates a new ThunarChooserModel for `content_type` .

#### Parameters

content_type | the content type for this model. |

#### Returns

the newly allocated ThunarChooserModel.

### thunar_chooser_model_get_content_type ()

    const gchar *
    thunar_chooser_model_get_content_type (ThunarChooserModel *model);

Returns the content type for `model` .

#### Parameters

model | a ThunarChooserModel. |

#### Returns

the content type for `model` .

### thunar_chooser_model_remove ()

    gboolean
    thunar_chooser_model_remove (ThunarChooserModel *model,
                                 GtkTreeIter *iter,
                                 gboolean delete,
                                 GError **error);

Tries to remove or dissociate the application at the specified `iter` from the systems application database.

#### Parameters

model | a ThunarChooserModel. |
iter | the GtkTreeIter for the application to remove. |
delete | whether delete or just dissociate the application. |
error | return location for errors or `NULL`. |

#### Returns

`TRUE` on success, `FALSE` otherwise.

## Types and Values

### enum ThunarChooserModelColumn

The identifiers for the columns provided by the ThunarChooserModel.

#### Members

THUNAR_CHOOSER_MODEL_COLUMN_NAME | the name of the application. |
THUNAR_CHOOSER_MODEL_COLUMN_ICON | the name or absolute path of the application's icon. |
THUNAR_CHOOSER_MODEL_COLUMN_APPLICATION | the GAppInfo object. |
THUNAR_CHOOSER_MODEL_COLUMN_STYLE | custom font style. |
THUNAR_CHOOSER_MODEL_COLUMN_WEIGHT |  |
THUNAR_CHOOSER_MODEL_N_COLUMNS | the number of columns in ThunarChooserModel. |

## Property Details

### The `“content-type”` property

      “content-type”             char *

content-type.

Owner: ThunarChooserModel

Flags: Read / Write / Construct Only

Default value: NULL